Package com.castlabs.android.network

# Interface HttpDataSourceBuilder

All Known Implementing Classes:
  `DefaultHttpDataSourceBuilder`

public interface HttpDataSourceBuilder
Implementations of this interface are responsible for creating http data source instances.

Please note that this class is part of the public API because it is used by some plugins and extensions, but you usually do not need to implement your own builder.

Since:
  3.0.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.google.android.exoplayer2.upstream.HttpDataSource`
  `get(String userAgent, Map<String,String> queryParameters, com.google.android.exoplayer2.upstream.TransferListener transferListener, NetworkConfiguration networkConfiguration, int requestType)`
  Create a new data source
  `com.google.android.exoplayer2.upstream.HttpDataSource`
  `get(String userAgent, Map<String,String> queryParameters, com.google.android.exoplayer2.upstream.TransferListener transferListener, NetworkConfiguration networkConfiguration, int requestType, SSLSocketFactory sslSocketFactory)`
  Create a new data source

- ## Method Details

  - ### get

    com.google.android.exoplayer2.upstream.HttpDataSource get(@NonNull String userAgent, @Nullable Map<String,String> queryParameters, @Nullable com.google.android.exoplayer2.upstream.TransferListener transferListener, @NonNull NetworkConfiguration networkConfiguration, int requestType)
    Create a new data source
    Parameters:
      `userAgent` - the user agent
      `queryParameters` - the query parameters
      `transferListener` - the transfer listener
      `networkConfiguration` - The network configuration
      `requestType` - The request type
    Returns:
      The data source

  - ### get

    com.google.android.exoplayer2.upstream.HttpDataSource get(@NonNull String userAgent, @Nullable Map<String,String> queryParameters, @Nullable com.google.android.exoplayer2.upstream.TransferListener transferListener, @NonNull NetworkConfiguration networkConfiguration, int requestType, @NonNull SSLSocketFactory sslSocketFactory)
    Create a new data source
    Parameters:
      `userAgent` - the user agent
      `queryParameters` - the query parameters
      `transferListener` - the transfer listener
      `networkConfiguration` - The network configuration
      `requestType` - The request type
      `sslSocketFactory` - SSL socket factory or `null` to use the system default one
    Returns:
      The data source